<?php
// +-------------------------------------------------+
// © 2002-2004 PMB Services / www.sigb.net pmb@sigb.net et contributeurs (voir www.sigb.net)
// +-------------------------------------------------+
// $Id: fiche_ajax.inc.php,v 1.2 2025/12/03 07:27:54 dgoron Exp $

if (stristr($_SERVER['REQUEST_URI'], ".inc.php")) die("no access");

global $class_path, $quoifaire, $idfiche, $liste_ids;

require_once("$class_path/fiche.class.php");

switch($quoifaire){
	case 'show_fiche':
	    $fic = new fiche($idfiche);
	    if (!empty($liste_ids)) {
    	    $fic->liste_ids = explode(",",$liste_ids);
	    }
	    ajax_http_send_response($fic->show_fiche_form());
	break;
	case 'update':
	    $fic = new fiche($idfiche);
	    ajax_http_send_response($fic->get_form());
		break;
}